RDEV(8)

NAZWA
rdev - zapytaj o/ustaw urządzenie obrazu korzenia, urządzenie wymiany, wielkość dysku RAM lub tryb video

SKŁADNIA
rdev [-rsvh] [-o offset] [image [wartość [offset]]]
rdev [-o offset] [image [root_device [offset]]]
swapdev [-o offset] [image [swap_device [offset]]]
ramsize [-o offset] [image [size [offset]]]
vidmode [-o offset] [image [mode [offset]]]
rootflags [-o offset] [image [flagi [offset]]]

OPIS
Wywołane bez argumentów rdev wyświetla wiersz z /etc/mtab dla bieżącego głównego systemu plików (root file system). Bez argumentów swapdev, ramsize, vidmode i rootflags wyświetlają informację o sposobie użycia. W startowym obrazie (bootable image) jądra Linuksa istnieje kilka par bajtów określających urządzenie główne (root device), tryb video, rozmiar dysku RAM i urządzenie wymiany (swap). Powyższe pary bajtów domyślnie rozpoczynają się od offsetu 504 (dziesiętnie) w obrazie jądra:
     498 flagi korzenia (root flags)
    (500 i 502 zarezerwowane)
     504 Rozmiar dysku RAM
     506 Tryb VGA
     508 Urządzenie główne (root device)
    (510 sygnatura startowa: boot signature)
rdev zmieni te wartości. Typowymi wartościami parametru image, określającego obraz startowego jądra Linuksa, są
    /vmlinux
    /vmlinux.test
    /vmunix
    /vmunix.test
    /dev/fd0
    /dev/fd1
Przy użyciu poleceń rdev lub swapdev parametry root_device lub swap_device mają poniższe wartości:
    /dev/hda[1-8]
    /dev/hdb[1-8]
    /dev/sda[1-8]
    /dev/sdb[1-8]
Dla polecenia ramsize parametr size określa rozmiar dysku RAM w kilobajtach. Dla polecenia rootflags parametr flagi zawiera dodatkowe informacje używane podczas montowania głównego systemu plików (korzenia). Obecnie jedynym skutkiem tych flag jest wymuszenie na jądrze montowania głównego systemu plików w trybie tylko-do-odczytu jeśli flagi są niezerowe. Dla polecenia vidmode parametr mode określa tryb karty video:
    -3 = pytaj (prompt)
    -2 = Rozszerzona VGA (extended VGA)
    -1 = Zwykła VGA
     0 = tak jakby naciśnięto "0" przy pytaniu
     1 = tak jakby naciśnięto "1" przy pytaniu
     2 = tak jakby naciśnięto "2" przy pytaniu
     n = tak jakby naciśnięto "n" przy pytaniu
Jeśli dana wartość nie jest określona, to sprawdzony zostanie obraz image by określić bieżące ustawienia.

OPCJE

-s  Powoduje, że rdev działa jak swapdev.

-r  Powoduje, że rdev działa jak ramsize.

-R  Powoduje, że rdev działa jak rootflags.

-v  Powoduje, że rdev działa jak vidmode.

-h  Zapewnia pomoc.

BŁĘDY
Z powodów historycznych istnieją dwa sposoby podawania alternatywnych wartości dla offsetu.

Interfejs użytkownika jest niewygodny, nieintuicyjny i raczej powinien zostać napisany ponownie od zera, umożliwiając na zmianę lub sprawdzenie wielu parametrów obrazu jądra przy pomocy pojedynczego polecenia.

Jeżeli stosowane jest LILO, to rdev nie jest już potrzebne do ustawiania głównego urządzenia (root device) czy trybu VGA, gdyż te parametry, które zmienia rdev mogą być ustawiane podczas wyświetlania zachęty LILO przy starcie. Jednak rdev nadal potrzebne jest obecnie do ustawiania rozmiaru dysku RAM. Zachęca się użytkowników do przeczytania dokumentacji LILO, gdzie można znaleźć więcej informacji, i posługiwania się LILO przy starcie systemu.

AUTORZY
Pierwotnie napisane przez Wernera Almesbergera (almesber@nessie.cs.id.ethz.ch)
Zmodyfikowane przez Petera MacDonalda (pmacdona@sanjuan.UVic.CA)
Obsługa rootflags dodana przez Stephena Tweedie (sct@dcs.ed.ac.uk)